Permalink
Browse files

Merge pull request #1754 from jsa-aerial/vega-updates

[vega-embed] Update to 3.24.1
  • Loading branch information...
miikka committed Nov 21, 2018
2 parents 0b15b09 + 5326cb9 commit 66b4c31440ea6fd17ed20efac9cab2e3c9d662cd
Showing with 177 additions and 77 deletions.
  1. +1 −1 vega-embed/README.md
  2. +12 −10 vega-embed/build.boot
  3. +164 −66 vega-embed/resources/cljsjs/vega-embed/common/vega-embed.ext.js
@@ -2,7 +2,7 @@
[](dependency)
```clojure
[cljsjs/vega-embed "3.16.1-1"] ;; latest release
[cljsjs/vega-embed "3.24.1-0"] ;; latest release
```
[](/dependency)
@@ -1,13 +1,12 @@
(set-env!
:resource-paths #{"resources"}
:dependencies '[[cljsjs/boot-cljsjs "0.10.3" :scope "test"]
[cljsjs/vega "3.3.1-0"]
[cljsjs/vega-lite "2.6.0-0"]])
[cljsjs/vega "4.3.0-0"]])
(require '[cljsjs.boot-cljsjs.packaging :refer :all])
(def +lib-version+ "3.16.1")
(def +version+ (str +lib-version+ "-1"))
(def +lib-version+ "3.24.1")
(def +version+ (str +lib-version+ "-0"))
(task-options!
pom {:project 'cljsjs/vega-embed
@@ -21,14 +20,17 @@
(comp
(download
:url (format "https://unpkg.com/vega-embed@%s/build/vega-embed.js" +lib-version+)
:checksum "7302414784D5272634D3B9AF87B51B58")
:checksum "062C4B09891E5E7D1893301A7092F27B")
(download
:url (format "https://unpkg.com/vega-embed@%s/build/vega-embed.min.js" +lib-version+)
:checksum "86D394AE8F44A84932B8A20BD957ACE6")
(sift :move {#".*vega-embed\.js$" "cljsjs/development/vega-embed.inc.js"})
(sift :move {#".*vega-embed\.min\.js$" "cljsjs/production/vega-embed.min.inc.js"})
:checksum "DDEAF3AA0801E95A9ADDCA558FEBE130")
(download
:url (format "https://unpkg.com/vega-embed@%s/vega-embed.css" +lib-version+)
:checksum "CFA09422ACF13696B84282A5FCE9267A")
(sift :move {#".*vega-embed\.js$" "cljsjs/development/vega-embed.inc.js"})
(sift :move {#".*vega-embed\.min\.js$" "cljsjs/production/vega-embed.min.inc.js"})
(sift :move {#".*vega-embed\.css$" "cljsjs/vega-embed/common/vega-embed.css"})
(sift :include #{#"^cljsjs"})
(deps-cljs :name "cljsjs.vega-embed"
:requires ["cljsjs.vega" "cljsjs.vega-lite"])
(deps-cljs :name "cljsjs.vega-embed" :requires ["cljsjs.vega" "cljsjs.vega-lite"])
(pom)
(jar)))
Oops, something went wrong.

0 comments on commit 66b4c31

Please sign in to comment.